/****************************************************************/
/*                                                              */
/*      autodlg.h                                               */
/*                                                              */
/*      This file is a part of kpl - a program for graphical    */
/*      presentation of data sets and functions.                */
/*                                                              */
/*      Copyright (C) 1999 Werner Stille                        */
/*      <stille@uni-freiburg.de>                                */
/*                                                              */
/*      Released under the GPL; see file LICENSE for details.   */
/*                                                              */
/****************************************************************/

#ifndef AUTODLG_H
#define AUTODLG_H

#include <qdialog.h>

class QGroupBox;
class QLabel;
class QLineEdit;
class QCheckBox;
class QRadioButton;
class QSpinBox;
class QButtonGroup;

struct autoStruct {
  bool autoErr, autoNorm, autohPath;
  int ixAuto, iyAuto, ieAuto, autoGrid, autoSymb;
  double x0Auto, xlAuto, y0Auto, ylAuto;
  char sxAuto[80], syAuto[80], shAuto[260];
};

class AutoDlg : public QDialog {
  Q_OBJECT
  public:
    AutoDlg(QWidget *parent);
    ~AutoDlg();
    void setWidgets(autoStruct as);
    autoStruct getValues();
  private slots:
    void slotOK();
    void slotEditLetX();
    void slotEditLetY();
    void slotEditLetH();
    void slotSymbol();
    void slotHelp();
  private:
    void editText(QLineEdit *ed);
    autoStruct a;
    QGroupBox *g1, *g2, *g3;
    QLabel *l1, *l2, *l3, *l4, *l5, *l6, *l7, *l8, *l9, *l10, *l11,
           *l12, *l13, *l14, *l15;
    QLineEdit *autoX0, *autoY0, *autoXl, *autoYl, *autoLetX, *autoLetY,
              *autoLetH;
    QCheckBox *autohPath, *err, *autoNorm;
    QButtonGroup *bg;
    QRadioButton *autoFrameOnly, *autoTics, *autoTicsLet, *autoGrid,
                 *autoGridLet;
    QSpinBox *ix, *iy, *ie, *autoSymb;
    QPushButton *editLetX, *editLetY, *editLetH, *chsymb, *ok, *cancel,
                *help;
};

#endif
