/****************************************************************/
/*                                                              */
/*      basicdlg.h                                              */
/*                                                              */
/*      This file is a part of kpl - a program for graphical    */
/*      presentation of data sets and functions.                */
/*                                                              */
/*      Copyright (C) 1999 Werner Stille                        */
/*      <stille@uni-freiburg.de>                                */
/*                                                              */
/*      Released under the GPL; see file LICENSE for details.   */
/*                                                              */
/****************************************************************/

#ifndef BASICDLG_H
#define BASICDLG_H

#include <qdialog.h>

class QGroupBox;
class QLabel;
class QLineEdit;
class KColorButton;

struct basicStruct {
  double xf, yf;
  QRgb colFrame, colGrid, colData;
};

class BasicDlg : public QDialog {
  Q_OBJECT
  public:
    BasicDlg(QWidget *parent);
    ~BasicDlg();
    void setWidgets(basicStruct bs);
    basicStruct getValues();
  private slots:
    void slotOK();
    void slotPortrait();
    void slotLandscape();
    void slotHelp();
  private:
    basicStruct b;
    QGroupBox *g1, *g2;
    QLabel *l1, *l2, *l3, *l4, *l5, *l6, *l7;
    QLineEdit *formatx, *formaty;
    QPushButton *portrait, *landscape, *ok, *cancel, *help;
    KColorButton *colFrame, *colGrid, *colData;
};

#endif
