/****************************************************************/
/*                                                              */
/*      edittextdlg.h                                           */
/*                                                              */
/*      This file is a part of kpl - a program for graphical    */
/*      presentation of data sets and functions.                */
/*                                                              */
/*      Copyright (C) 1999 Werner Stille                        */
/*      <stille@uni-freiburg.de>                                */
/*                                                              */
/*      Released under the GPL; see file LICENSE for details.   */
/*                                                              */
/****************************************************************/

#ifndef EDITTEXTDLG_H
#define EDITTEXTDLG_H

#include <kgraph.h>
#include <qdialog.h>

class QLineEdit;
class QButtonGroup;
class QRadioButton;

class Preview : public QWidget, public KGraph {
  Q_OBJECT
  public:
    Preview(QWidget *parent);
  public slots:
    void setText(const char *s);
  protected:
    void paintEvent(QPaintEvent *);
  private:
    char str[80];
};

class EditTextDlg : public QDialog {
  Q_OBJECT
  public:
    EditTextDlg(QWidget *parent, QLineEdit *ed);
    ~EditTextDlg();
  private slots:
    void slotCat();
    void slotFont();
    void slotPos();
    void slotOK();
  private:
    char sfont[30];
    Preview *editPreview;
    QLineEdit *font, *ed, *text;
    QButtonGroup *bg1, *bg2;
    QRadioButton *helv, *helvB, *helvI, *helvBI, *symb, *zapf, *up,
                 *normal, *down;
    QPushButton *cat, *ok, *cancel;
};

#endif

