/****************************************************************/
/*                                                              */
/*      kplots.h                                                */
/*                                                              */
/*      This file is a part of kpl - a program for graphical    */
/*      presentation of data sets and functions.                */
/*                                                              */
/*      Copyright (C) 1999 Werner Stille                        */
/*      <stille@uni-freiburg.de>                       */
/*                                                              */
/*      Released under the GPL; see file LICENSE for details.   */
/*                                                              */
/****************************************************************/

#ifndef KPLOTS_H
#define KPLOTS_H

typedef struct {
  int ndigx, ndigy, mticx, mticy, gridmode, iex, iey;
  long colFrame, colGrid;
  double xf, yf, xw0, xw, yw0, yw, xmi, xma, ymi, yma, xtic, ytic, relsiz;
  char sx[80], sy[80], sh[260];
} FRAMEDATA;
typedef FRAMEDATA *PFRAMEDATA;

typedef struct {
  int ix, iy, ie, istart, n, symb, errbars, nrows, ncols;
  long color;
  double fx, fy, **x;
  char path[260];
} ARRAYDATA;
typedef ARRAYDATA *PARRAYDATA;

typedef struct {
  int symb;
  long color;
  double xfmin, xfmax, dx, fx, fy, (*fkt)(double, double *), p[20];
  char name[100], path[260];
  void *hmod;
} FUNDATA;
typedef FUNDATA *PFUNDATA;

typedef struct {
  int symb;
  long color;
  double tmin, tmax, dt, fx, fy,
         (*fktx)(double, double *), px[20],
         (*fkty)(double, double *), py[20];
  char namex[100], namey[100], pathx[260], pathy[260];
  void *hmodx, *hmody;
} PARFUNDATA;
typedef PARFUNDATA *PPARFUNDATA;

typedef struct {
  int symb;
  long colsymb, coltext;
  double x, y, xtext, ytext, relsiz;
  char s[80];
} LEGENDDATA;
typedef LEGENDDATA *PLEGENDDATA;

typedef struct {
  int ityp;
  void *stru;
} ITEMDATA;
typedef ITEMDATA *PITEMDATA;

#define FRAMEITEM                      1
#define ARRAYITEM                      2
#define FUNITEM                        3
#define PARFUNITEM                     4
#define LEGENDITEM                     5

#define DATAFILE                       1
#define PLOTFILE                       2

#endif
