/****************************************************************/
/*                                                              */
/*      legenddlg.h                                             */
/*                                                              */
/*      This file is a part of kpl - a program for graphical    */
/*      presentation of data sets and functions.                */
/*                                                              */
/*      Copyright (C) 1999 Werner Stille                        */
/*      <stille@uni-freiburg.de>                                */
/*                                                              */
/*      Released under the GPL; see file LICENSE for details.   */
/*                                                              */
/****************************************************************/

#ifndef LEGENDDLG_H
#define LEGENDDLG_H

#include "kplots.h"
#include <qdialog.h>

class KPl;
class QLabel;
class QLineEdit;
class QGroupBox;
class QSpinBox;
class KColorButton;

class LegendDlg : public QDialog {
  Q_OBJECT
  public:
    LegendDlg(QWidget *parent, KPl *kpa, PLEGENDDATA ld);
    ~LegendDlg();
  private slots:
    void slotEditText();
    void slotSymbol();
    void slotApply();
    void slotHelp();
    void slotOK();
  private:
    void getValues(bool accept);
    KPl *kp;
    PLEGENDDATA ld;
    QLabel *l1, *l2, *l3, *l4, *l5, *l6, *l7, *l8, *l9, *l10,
           *l11, *l12, *l13, *l14, *l15, *l16;
    QLineEdit *ex0, *ey0, *eText, *exl, *eyl;
    QGroupBox *g1, *g2;
    QSpinBox *symb, *eRelSize;
    KColorButton *colSymb, *colText;
    QPushButton *chSymb, *chText, *apply, *ok, *cancel, *help;
};

#endif

