/****************************************************************/
/*                                                              */
/*      utils.cpp                                               */
/*                                                              */
/*      This file is a part of kpl - a program for graphical    */
/*      presentation of data sets and functions.                */
/*                                                              */
/*      Copyright (C) 1999 Werner Stille                        */
/*      <stille@uni-freiburg.de>                                */
/*                                                              */
/*      Released under the GPL; see file LICENSE for details.   */
/*                                                              */
/****************************************************************/

#include <kapp.h>
#include <kmsgbox.h>
#include <qlineedit.h>

bool getVal(QWidget *parent, QLineEdit *edit, double *val,
            const char *errmsg)
{
  bool ok = true;
  QString s;

  s = edit->text();
  *val = s.toDouble(&ok);
  if (!ok)
    KMsgBox::message(parent, i18n("Error"), errmsg, 2);
  return ok;
}

