/****************************************************************/
/*                                                              */
/*      zoom.cpp                                                */
/*                                                              */
/*      This file is a part of kpl - a program for graphical    */
/*      presentation of data sets and functions.                */
/*                                                              */
/*      Copyright (C) 1999 Werner Stille                        */
/*      <stille@uni-freiburg.de>                                */
/*                                                              */
/*      Released under the GPL; see file LICENSE for details.   */
/*                                                              */
/****************************************************************/

#include "zoomdlg.h"
#include <kapp.h>
#include <kseparator.h>
#include <qlabel.h>
#include <qspinbox.h>
#include <qpushbutton.h>

ZoomDlg::ZoomDlg(QWidget *parent) : QDialog(parent, 0, TRUE)
{
  setCaption(i18n("Zoom"));
  l1 = new QLabel(i18n("Factor"), this);
  l1->setGeometry(20, 10, 50, 22);
  factor = new QSpinBox(1, 2000, 1, this);
  factor->setGeometry(75, 10, 60, 22);
  l2 = new QLabel("%", this);
  l2->setGeometry(140, 10, 30, 22);
  hl = new KSeparator(KSeparator::HLine, this);
  hl->setGeometry(10, 46, 180, 0);
  ok = new QPushButton(i18n("OK"), this);
  ok->setGeometry(10, 56, 85, 25);
  ok->setDefault(TRUE);
  connect(ok, SIGNAL(clicked()), SLOT(accept()));
  cancel = new QPushButton(i18n("Cancel"), this);
  cancel->setGeometry(105, 56, 85, 25);
  connect(cancel, SIGNAL(clicked()), SLOT(reject()));
  adjustSize();
  setFixedSize(size());
}

ZoomDlg::~ZoomDlg()
{
  delete l1;
  delete l2;
  delete factor;
  delete hl;
  delete ok;
  delete cancel;
}

